> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/update-dsentrybase.md).

# Update-DSEntryBase

### Übersicht

Einen Eintrag aktualisieren.

### Syntax

#### Wert

```
Update-DSEntryBase [-JsonBody] <string> [-AsLegacyResponse] [<CommonParameters>]
```

#### RDMConnection

```
Update-DSEntryBase [-FromRDMConnection] <ConnectionInfoEntity> [-AsLegacyResponse]
 [<CommonParameters>]
```

### Beschreibung

Einen Eintrag aktualisieren (der geänderte Eintrag sollte sich in jsonBody befinden). Sofern Sie nicht genau wissen, was Sie tun, sollten Sie wahrscheinlich die von uns erstellten CMDlets verwenden, um Einträge zu aktualisieren.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> $credResponse = Get-DSEntry -EntryID $id
        $cred = $credResponse.data
        $cred.data.passwordItem | Add-Member -MemberType NoteProperty -Name SensitiveData -Value 'newPassword'
        Update-DSEntryBase -JsonBody (ConvertTo-Json -InputObject $cred -Depth 4)
```

Ein bestehender Eintrag für Anmeldeinformationen mit einem bestehenden Passwort wird abgerufen. Sein Passwort wird auf 'newPassword' geändert, indem eine Eigenschaft für sensible Daten zu passwordItem hinzugefügt wird. Der Eintrag wird mit der erforderlichen Tiefe in JSON konvertiert, um ein Abflachen zu vermeiden. Der Eintrag wird anschließend aktualisiert.

#### Beispiel 2

```powershell
PS C:\> $credResponse = Get-DSEntry -EntryID $id
        $cred = $credResponse.data
        $cred.data.passwordItem | Add-Member -MemberType NoteProperty -Name SensitiveData -Value 'newPassword'
        Update-DSEntryBase -JsonBody (ConvertTo-Json -InputObject $cred -Depth 4)
```

Ein bestehender Eintrag für Anmeldeinformationen mit einem bestehenden Passwort wird abgerufen. Sein Passwort wird auf 'newPassword' geändert, indem eine Eigenschaft für sensible Daten zu passwordItem hinzugefügt wird. Der Eintrag wird mit der erforderlichen Tiefe in JSON konvertiert, um ein Abflachen zu vermeiden. Der Eintrag wird anschließend aktualisiert.

#### Beispiel 3

```powershell
PS C:\> $entryID = '12345678-1234-1234-1234-123456781234'
PS C:\> $entry = Get-DSEntry -EntryID $entryID
PS C:\> $entry.data.vpn = @{                                                       
  application = [Devolutions.RemoteDesktopManager.VPNApplication]::DevolutionsGateway
  closeMode = [Devolutions.RemoteDesktopManager.VPNCloseMode]::OnDisconnect
  devolutionsGatewayID = '6ccf937c-7a98-4106-b951-815471ec649b'
  mode = [Devolutions.RemoteDesktopManager.VPNMode]::AlwaysConnect
  enableAutoDetectIsOnlineVPN = 2
}
PS C:\> Update-DSEntryBase -JsonBody (ConvertTo-Json -InputObject $entry -Depth 10)
```

Legen Sie das Standard-Devolutions Gateway für den Eintrag mit dem Verbindungsmodus 'Always Connect' und dem Schließmodus 'On session close' fest

### Parameter

#### -AsLegacyResponse

In Versionen vor 2024.2 gaben viele DS-Cmdlets ein ServerResponse-Objekt zurück. Durch Aktivieren dieses Schalters für Rückwärtskompatibilität können Skripte, die für frühere Versionen entwickelt wurden, korrekt funktionieren.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -FromRDMConnection

Eintrag, der von Get-DSEntry -AsRDMConnection abgerufen wurde. Er kann verwendet werden, um einen Eintrag zu aktualisieren

```yaml
Type: Devolutions.RemoteDesktopManager.Business.Entities.ConnectionInfoEntity
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: RDMConnection
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -JsonBody

Eintrag in JSON

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Value
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Weitere Informationen erhalten Sie mit "Get-Help Update-DSEntryBase -detailed". Technische Informationen erhalten Sie mit "Get-Help Update-DSEntryBase -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/update-dsentrybase.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
